[
  {
    "chunk_id": 24,
    "chunk_type": "group",
    "human_description": "This is group 'FirstLetterGroup' definition for report 'ThermometerChartReport'. Group expression: $V{FirstLetter}. Has groupHeader: Yes, has groupFooter: Yes. Min height: 200, start new column: true, reprint header: false.",
    "raw_xml": "<group name=\"FirstLetterGroup\" minHeightToStartNewPage=\"200\" startNewColumn=\"true\">\n\t\t<expression>$V{FirstLetter}</expression>\n\t\t<groupHeader>\n\t\t\t<band height=\"200\">\n\t\t\t\t<element kind=\"rectangle\" uuid=\"d67097b1-5769-462a-be6c-828d0f053ab8\" x=\"0\" y=\"14\" width=\"270\" height=\"11\" forecolor=\"#FFDDDD\" backcolor=\"#FFDDDD\" />\n\t\t\t\t<element kind=\"staticText\" uuid=\"c489f106-74ae-469a-b88b-131e65bceb08\" mode=\"Opaque\" x=\"0\" y=\"14\" width=\"130\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" underline=\"true\" style=\"Sans_Italic\">\n\t\t\t\t\t<text>Countries Starting With Letter :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"fda8413f-086d-4b68-9538-a8dacadd91f8\" mode=\"Opaque\" x=\"130\" y=\"14\" width=\"140\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FirstLetter}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"chart\" chartType=\"thermometer\" uuid=\"d7dbbf81-57e4-4338-84d0-72f367c2bd1d\" positionType=\"Float\" x=\"0\" y=\"25\" width=\"270\" height=\"175\" showLegend=\"true\" evaluationTime=\"Group\" evaluationGroup=\"FirstLetterGroup\">\n\t\t\t\t\t<dataset kind=\"value\" incrementType=\"Group\" resetGroup=\"FirstLetterGroup\" incrementGroup=\"CountryGroup\" resetType=\"Group\">\n\t\t\t\t\t\t<valueExpression>$V{FreightSumFirstLetterGroup}</valueExpression>\n\t\t\t\t\t</dataset>\n\t\t\t\t\t<plot mercuryColor=\"#0000CC\" valueLocation=\"bulb\">\n\t\t\t\t\t\t<dataRange>\n\t\t\t\t\t\t\t<lowExpression>0.0d</lowExpression>\n\t\t\t\t\t\t\t<highExpression>17500.0d</highExpression>\n\t\t\t\t\t\t</dataRange>\n\t\t\t\t\t\t<valueDisplay color=\"#000000\" mask=\"$#,###\">\n\t\t\t\t\t\t\t<font fontSize=\"12.0\" />\n\t\t\t\t\t\t</valueDisplay>\n\t\t\t\t\t\t<lowRange>\n\t\t\t\t\t\t\t<lowExpression>0.0d</lowExpression>\n\t\t\t\t\t\t\t<highExpression>2000.0d</highExpression>\n\t\t\t\t\t\t</lowRange>\n\t\t\t\t\t\t<mediumRange>\n\t\t\t\t\t\t\t<lowExpression>2000.0d</lowExpression>\n\t\t\t\t\t\t\t<highExpression>12000.0d</highExpression>\n\t\t\t\t\t\t</mediumRange>\n\t\t\t\t\t\t<highRange>\n\t\t\t\t\t\t\t<lowExpression>12000.0d</lowExpression>\n\t\t\t\t\t\t\t<highExpression>17500d</highExpression>\n\t\t\t\t\t\t</highRange>\n\t\t\t\t\t</plot>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupHeader>\n\t\t<groupFooter>\n\t\t\t<band height=\"25\">\n\t\t\t\t<element kind=\"line\" uuid=\"d668dfd4-b2c6-411d-94f5-4b280803d949\" x=\"0\" y=\"0\" width=\"270\" height=\"1\" forecolor=\"#FF0000\" />\n\t\t\t\t<element kind=\"staticText\" uuid=\"93c24dad-1bbc-474c-a247-1b6207fc603a\" x=\"0\" y=\"1\" width=\"45\" height=\"11\" forecolor=\"#FF0000\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Count :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"d62948fb-b917-4c00-80bd-ee60cec06043\" x=\"45\" y=\"1\" width=\"25\" height=\"11\" forecolor=\"#FF0000\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FirstLetterGroup_COUNT}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"staticText\" uuid=\"dfa69f4f-7e6c-4a86-b37c-87728b32db30\" x=\"70\" y=\"1\" width=\"140\" height=\"11\" forecolor=\"#FF0000\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Total :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"9b00e275-b691-49c3-b272-f773bf4e3172\" x=\"210\" y=\"1\" width=\"60\" height=\"11\" forecolor=\"#FF0000\" pattern=\"0.00\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FreightSumFirstLetterGroup}</expression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupFooter>\n\t</group>\n\t",
    "context": "Report 'ThermometerChartReport' group 'FirstLetterGroup'",
    "metadata": {
      "group_name": "FirstLetterGroup",
      "expression": "$V{FirstLetter}",
      "has_header": true,
      "has_footer": true,
      "minHeightToStartNewPage": "200",
      "startNewColumn": "true",
      "reprintHeaderOnEachPage": "false"
    }
  },
  {
    "chunk_id": 24,
    "chunk_type": "group",
    "human_description": "This is group 'FirstLetterGroup' definition for report 'ThermometerChartReport'. Group expression: $V{FirstLetter}. Has groupHeader: Yes, has groupFooter: Yes. Min height: 200, start new column: true, reprint header: false.",
    "raw_xml": "<group name=\"FirstLetterGroup\" minHeightToStartNewPage=\"200\" startNewColumn=\"true\">\n\t\t<expression>$V{FirstLetter}</expression>\n\t\t<groupHeader>\n\t\t\t<band height=\"200\">\n\t\t\t\t<element kind=\"rectangle\" uuid=\"d67097b1-5769-462a-be6c-828d0f053ab8\" x=\"0\" y=\"14\" width=\"270\" height=\"11\" forecolor=\"#FFDDDD\" backcolor=\"#FFDDDD\" />\n\t\t\t\t<element kind=\"staticText\" uuid=\"c489f106-74ae-469a-b88b-131e65bceb08\" mode=\"Opaque\" x=\"0\" y=\"14\" width=\"130\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" underline=\"true\" style=\"Sans_Italic\">\n\t\t\t\t\t<text>Countries Starting With Letter :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"fda8413f-086d-4b68-9538-a8dacadd91f8\" mode=\"Opaque\" x=\"130\" y=\"14\" width=\"140\" height=\"11\" forecolor=\"#FF0000\" backcolor=\"#FFDDDD\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FirstLetter}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"chart\" chartType=\"thermometer\" uuid=\"d7dbbf81-57e4-4338-84d0-72f367c2bd1d\" positionType=\"Float\" x=\"0\" y=\"25\" width=\"270\" height=\"175\" showLegend=\"true\" evaluationTime=\"Group\" evaluationGroup=\"FirstLetterGroup\">\n\t\t\t\t\t<dataset kind=\"value\" incrementType=\"Group\" resetGroup=\"FirstLetterGroup\" incrementGroup=\"CountryGroup\" resetType=\"Group\">\n\t\t\t\t\t\t<valueExpression>$V{FreightSumFirstLetterGroup}</valueExpression>\n\t\t\t\t\t</dataset>\n\t\t\t\t\t<plot mercuryColor=\"#0000CC\" valueLocation=\"bulb\">\n\t\t\t\t\t\t<dataRange>\n\t\t\t\t\t\t\t<lowExpression>0.0d</lowExpression>\n\t\t\t\t\t\t\t<highExpression>17500.0d</highExpression>\n\t\t\t\t\t\t</dataRange>\n\t\t\t\t\t\t<valueDisplay color=\"#000000\" mask=\"$#,###\">\n\t\t\t\t\t\t\t<font fontSize=\"12.0\" />\n\t\t\t\t\t\t</valueDisplay>\n\t\t\t\t\t\t<lowRange>\n\t\t\t\t\t\t\t<lowExpression>0.0d</lowExpression>\n\t\t\t\t\t\t\t<highExpression>2000.0d</highExpression>\n\t\t\t\t\t\t</lowRange>\n\t\t\t\t\t\t<mediumRange>\n\t\t\t\t\t\t\t<lowExpression>2000.0d</lowExpression>\n\t\t\t\t\t\t\t<highExpression>12000.0d</highExpression>\n\t\t\t\t\t\t</mediumRange>\n\t\t\t\t\t\t<highRange>\n\t\t\t\t\t\t\t<lowExpression>12000.0d</lowExpression>\n\t\t\t\t\t\t\t<highExpression>17500d</highExpression>\n\t\t\t\t\t\t</highRange>\n\t\t\t\t\t</plot>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupHeader>\n\t\t<groupFooter>\n\t\t\t<band height=\"25\">\n\t\t\t\t<element kind=\"line\" uuid=\"d668dfd4-b2c6-411d-94f5-4b280803d949\" x=\"0\" y=\"0\" width=\"270\" height=\"1\" forecolor=\"#FF0000\" />\n\t\t\t\t<element kind=\"staticText\" uuid=\"93c24dad-1bbc-474c-a247-1b6207fc603a\" x=\"0\" y=\"1\" width=\"45\" height=\"11\" forecolor=\"#FF0000\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Count :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"d62948fb-b917-4c00-80bd-ee60cec06043\" x=\"45\" y=\"1\" width=\"25\" height=\"11\" forecolor=\"#FF0000\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FirstLetterGroup_COUNT}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"staticText\" uuid=\"dfa69f4f-7e6c-4a86-b37c-87728b32db30\" x=\"70\" y=\"1\" width=\"140\" height=\"11\" forecolor=\"#FF0000\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Total :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"9b00e275-b691-49c3-b272-f773bf4e3172\" x=\"210\" y=\"1\" width=\"60\" height=\"11\" forecolor=\"#FF0000\" pattern=\"0.00\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FreightSumFirstLetterGroup}</expression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupFooter>\n\t</group>\n\t",
    "context": "Report 'ThermometerChartReport' group 'FirstLetterGroup'",
    "metadata": {
      "group_name": "FirstLetterGroup",
      "expression": "$V{FirstLetter}",
      "has_header": true,
      "has_footer": true,
      "minHeightToStartNewPage": "200",
      "startNewColumn": "true",
      "reprintHeaderOnEachPage": "false"
    }
  }
]